<div class="ext-codexexample-css">
	<h2>{{ heading }}</h2>

	{{! CSS-only components are comprised of markup and CSS-classes. To learn how to create a
	CSS-only version of a Codex components, visit https://doc.wikimedia.org/codex/latest/components/overview.html
	and view the demo page for the component you need. If there is a CSS-only version of that
	component, it will be documented after the Vue version. }}
	<div>
		<h3>{{ buttonHeading }}</h3>
		<button class="cdx-button cdx-button--action-progressive cdx-button--weight-primary">
			{{ button1Label }}
		</button>
		<button class="cdx-button" disabled>
			{{ button2Label }}
		</button>
		<button class="cdx-button cdx-button--action-destructive cdx-button--weight-quiet">
			{{! This button has a CSS-only icon, which requires the use of a Less mixin. See
			resources/ext.codexExample.styles/styles.less. }}
			<span class="cdx-button__icon ext-codexexample-css__icon--trash" aria-hidden="true"></span>
			{{ button3Label }}
		</button>
	</div>

	<div>
		<h3>{{ cardHeading }}</h3>

		<span class="cdx-card">
			{{! This card has a CSS-only icon, which requires the use of a Less mixin. See
			resources/ext.codexExample.styles/styles.less. }}
			<span class="cdx-card__icon ext-codexexample-css__icon--robot"></span>
			<span class="cdx-card__text">
				<span class="cdx-card__text__title">{{ cardTitle }}</span>
				<span class="cdx-card__text__description">{{ cardDescription }}</span>
				<span class="cdx-card__text__supporting-text">{{ cardSupportingText }}</span>
			</span>
		</span>
	</div>

	<div>
		<h3>{{ checkboxHeading }}</h3>
		<span class="cdx-checkbox">
			<input id="checkbox-group-css-only-1" class="cdx-checkbox__input" type="checkbox">
			<span class="cdx-checkbox__icon"></span>
			<label class="cdx-checkbox__label" for="checkbox-group-css-only-1">
				{{ checkbox1Label }}
			</label>
		</span>
		<span class="cdx-checkbox">
			<input id="checkbox-group-css-only-2" class="cdx-checkbox__input" type="checkbox" checked>
			<span class="cdx-checkbox__icon"></span>
			<label class="cdx-checkbox__label" for="checkbox-group-css-only-2">
				{{ checkbox2Label }}
			</label>
		</span>
		<span class="cdx-checkbox">
			<input id="checkbox-group-css-only-3" class="cdx-checkbox__input" type="checkbox" disabled>
			<span class="cdx-checkbox__icon"></span>
			<label class="cdx-checkbox__label" for="checkbox-group-css-only-3">
				{{ checkbox3Label }}
			</label>
		</span>
	</div>
</div>
